# Uses of Class
jdk.management.jfr.ConfigurationInfo

Packages that use ConfigurationInfo
Package
Description
jdk.management.jfr
This package contains classes to control and monitor Flight Recorder over Java Management Extensions (JMX).

## Uses of ConfigurationInfo in jdk.management.jfr

Methods in jdk.management.jfr that return ConfigurationInfo
Modifier and Type
Method
Description
`static ConfigurationInfo`
ConfigurationInfo.`from(CompositeData cd)`
Returns a `ConfigurationInfo` object represented by the specified `CompositeData`.
Methods in jdk.management.jfr that return types with arguments of type ConfigurationInfo
Modifier and Type
Method
Description
`List<ConfigurationInfo>`
FlightRecorderMXBean.`getConfigurations()`
Returns the list of predefined configurations for this Java Virtual Machine (JVM).